# -*- rpm-spec -*-
# $Id: libmpeg3,v 1.3 2003/11/12 12:05:32 grigory Exp $

Name: libmpeg3
Version: 1.5.3
Release: alt1

Summary: LibMPEG3 decoder shared library
License: GPL
Group: System/Libraries
Url: http://heroinewarrior.com

Source: %url/%name-%version-src.tar.bz2
Patch0: %name-%version-Makefile.patch

# Automatically added by buildreq on Fri Feb 28 2003
BuildRequires: liba52-devel nasm

%description
LibMPEG3 decodes several derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

LIBMPEG3 currently decodes:
+ MPEG-2 video
+ MPEG-1 video
+ mp3 audio
+ mp2 audio
+ ac3 audio
+ MPEG-2 transport streams
+ MPEG-2 program streams
+ MPEG-1 program streams
+ IFO files

The video output can be in many different color models and frame
sizes. The audio output can be in twos compliment or floating point.

%package devel
Summary: LibMPEG3 decoder development environment
License: GPL
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains LibMPEG3 decoder development include files
required for packaging LibMPEG3-based software.

%package devel-static
Summary: LibMPEG3 decoder static development library
License: GPL
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains LibMPEG3 decoder static library required
for packaging statically linked LibMPEG3-based software.

%package -n mpeg3-utils
Summary: LibMPEG3 decoder utilities
Group: Video
Requires: %name = %version-%release

%description -n mpeg3-utils
This package contains LibMPEG3 decoder utilities:
+ mpeg3dump
+ mpeg3cat
+ mpeg3toc
+ mpeg3split

# Due assembler includes don't check textrel
%set_verify_elf_method textrel=relaxed

%prep
%setup -q
%patch0 -p1
%__subst 's|"\(a52.h\)"|<a52dec/\1>|g' audio/ac3.c
%__subst 's|i686|%_target_platform|g' Makefile

%build
%add_optflags %optflags_notraceback -falign-loops=2 -falign-jumps=2 -falign-functions=2
%add_optflags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -DHAVE_CSS -DHAVE_MMX
%add_optflags -I. -I/usr/include/a52dec -I/usr/include
%make_build OBJDIR=%_target_platform CFLAGS="$RPM_OPT_FLAGS"

%install
%__mkdir_p %buildroot%_bindir
%makeinstall OBJDIR=%_target_platform DESTDIR=%buildroot

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%_libdir/*.so.*

%files devel
%_libdir/*.so
%_includedir/*

%files devel-static
%_libdir/*.a

%files -n mpeg3-utils
%_bindir/*

%changelog
* Wed Nov 12 2003 Grigory Milev <week@altlinux.ru> 1.5.3-alt1
- new version released
- fix spec

* Fri Feb 28 2003 Grigory Milev <week@altlinux.ru> 1.5.0-alt1
- new version released

* Tue Aug 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3-alt1
- Initial revision.

